summaryrefslogtreecommitdiffstats
path: root/libraries/liborcus/liborcus.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/liborcus/liborcus.SlackBuild')
-rw-r--r--libraries/liborcus/liborcus.SlackBuild15
1 files changed, 11 insertions, 4 deletions
diff --git a/libraries/liborcus/liborcus.SlackBuild b/libraries/liborcus/liborcus.SlackBuild
index 4d45f91770..56345b0b8d 100644
--- a/libraries/liborcus/liborcus.SlackBuild
+++ b/libraries/liborcus/liborcus.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for liborcus
-# Copyright 2015-2018 Hunter Sezen California, USA
+# Copyright 2015-2019 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=liborcus
-VERSION=${VERSION:-0.14.1}
+VERSION=${VERSION:-0.15.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -69,6 +69,13 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+# Fix build with gcc5.
+# https://gitlab.com/orcus/orcus/merge_requests/55
+sed -i 's/std::make_unique/orcus::make_unique/' src/spreadsheet/document.cpp
+sed -i 's/std::make_unique/orcus::make_unique/' src/cli_global.cpp
+sed -i '/#include "cli_global.hpp"/a#include "orcus/global.hpp"' \
+ src/cli_global.cpp
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -80,8 +87,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS CHANGELOG ChangeLog LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION